function $AdfLoadableScript$$($domWindow$$127$$) {
  this.Init($domWindow$$127$$)
}
$goog$exportSymbol$$("AdfLoadableScript", $AdfLoadableScript$$);
$AdfObject$$.$createSubclass$($AdfLoadableScript$$);
$AdfLoadableScript$$.prototype.Init = function $$AdfLoadableScript$$$$Init$($domWindow$$128$$) {
  $AdfLoadableScript$$.$superclass$.Init.call(this);
  this.$_domWindow$ = $domWindow$$128$$
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLoadableScript.prototype.Init", {Init:$AdfLoadableScript$$.prototype.Init});
$AdfLoadableScript$$.prototype.$getLoadMethod$ = function $$AdfLoadableScript$$$$$getLoadMethod$$() {
  $AdfAssert$$.$failedInAbstractFunction$()
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLoadableScript.prototype.getLoadMethod", {$getLoadMethod$:$AdfLoadableScript$$.prototype.$getLoadMethod$});
$AdfLoadableScript$$.prototype.load = function $$AdfLoadableScript$$$$load$() {
  $AdfAssert$$.$failedInAbstractFunction$()
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLoadableScript.prototype.load", {load:$AdfLoadableScript$$.prototype.load});
$AdfLoadableScript$$.prototype.$ExecScript$ = function $$AdfLoadableScript$$$$$ExecScript$$($content$$36$$, $name$$101$$) {
  try {
    $AdfAgent$$.$AGENT$.execScript(this.$_domWindow$, $content$$36$$)
  }catch($problem$$6$$) {
    $AdfPage$$.$PAGE$.$logAsGlobalError$($problem$$6$$), $AdfLogger$$.$LOGGER$.severe("Error: " + $problem$$6$$ + "\nWhile executing script: " + ($name$$101$$ ? $name$$101$$ : $content$$36$$))
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLoadableScript.prototype.ExecScript", {$ExecScript$:$AdfLoadableScript$$.prototype.$ExecScript$});
